package jp.co.kpscorp.meema.test;

import java.util.Set;

/**
 *<strong> サンプル商品メーカービーン。</strong>
 *<p>
 * 詳細は　http://meema.sourceforge.jp を参照してください。
 * @author katsusuke
 *
 */
public class ShohinMaker {

	/** identifier field */
	private String shohinMakerCd;

	/** nullable persistent field */
	private String shohinMakerName;

	/** persistent field */
	private Set shohins;

	/** full constructor */
	public ShohinMaker(String shohinMakerCd, String shohinMakerName, Set shohins) {
		this.shohinMakerCd = shohinMakerCd;
		this.shohinMakerName = shohinMakerName;
		this.shohins = shohins;
	}

	/** default constructor */
	public ShohinMaker() {
	}

	/** minimal constructor */
	public ShohinMaker(String shohinMakerCd, Set shohins) {
		this.shohinMakerCd = shohinMakerCd;
		this.shohins = shohins;
	}

	public String getShohinMakerCd() {
		return this.shohinMakerCd;
	}

	public void setShohinMakerCd(String shohinMakerCd) {
		this.shohinMakerCd = shohinMakerCd;
	}

	public String getShohinMakerName() {
		return this.shohinMakerName;
	}

	public void setShohinMakerName(String shohinMakerName) {
		this.shohinMakerName = shohinMakerName;
	}

	public Set getShohins() {
		return this.shohins;
	}

	public void setShohins(Set shohins) {
		this.shohins = shohins;
	}

}
